Sender names
Manage sender name
Headers
All requests in this section will have the same headers.
| Name | Type | Description |
|---|---|---|
| Authorization* | String | API Key. Required*. |
| Content-Type* | String | application/json |
Sender name details
Use this method to get a list of sender names related to a specific organization
GET https://a.loopmessage.com/api/v1/sender/{id}/
Path Parameters
| Name | Type | Description |
|---|---|---|
| id* | String | ID that you received after a successful request |
Query Parameters
| Name | Type | Description |
|---|---|---|
| sort_by | String | Optional. Sorting order for results. Possible values: asc (ascending) or desc (default). |
| page | Integer | Optional. The page number to retrieve. Default is 1. |
| per_page | Integer | Optional. Number of webhook records per page. Default is 20. |
Response
{
"id": "string",
"name": "string",
"status": "enum string",
"nickname": "string",
"create_date": "2025-01-27T22:23:51Z",
"imessage_link": "URL string",
"system": {
"imessage": "active", // possible values: active, degradation, outage
"whatsapp": "outage"
}
}
Update sender settings
PATCH https://a.loopmessage.com/api/v1/sender/{id}/
Request body
You can pass any of these parameters just to change only specific or a few values.
| Name | Type | Description |
|---|---|---|
| nickname | String | Change the sender’s nickname. This is an alternative name you can set to use as an internal designation. |
| document_id | String | ID of the uploaded document that may be required for some phone number regions. You can edit it only when your sender in verify status. |
| organization_id | String | ID of the new organization for this sender name. Pass this parameter when you need to assign the sender to another organization. |
| forwarding_to_phone_number | String | Phone number in international format. Eg: +13231111111. Your sender should support SMS and call forwarding. You can forward calls only to the same region as your phone number |
| contact | Object | Change the sender’s photo or name that will be displayed to your recipients. |
Response
Response {.tabset .tabset-fade}
tab 200: Accepted
Response will be the same as in the GET method, but with updated values.
tab 400: Bad Request
{
"code": 100,
"success": false,
"message": "error description",
}
Contact object
You can pass any of these parameters. If you need to make it empty or remove it, just pass it as empty quotes "".
The photo URL should forward to a publicly accessible file URL. The photo should have a 1:1 aspect ratio (square). Otherwise, it may not display the edges of your photo.
Please note that this change may take a few hours before it is applied to your sender name
{
...
"contact": {
"first_name": "John",
"last_name": "Smith",
"photo_url": "https://domain.com/image.png",
}
Cancel sender name
DELETE https://a.loopmessage.com/api/v1/sender/{id}/cancel/
The sender’s name is canceled immediately. Please check the cancellation policy in Helpdesk before using this method.
Response
Response {.tabset .tabset-fade}
tab 200: Accepted
{
"success": true,
}
tab 400: Bad Request
{
"code": 100,
"success": false,
"message": "error description",
}